# Требования

Для работы поиска и скачивания видео/аудио используется yt-dlp, соответственно необходимо установить на сервер yt-dlp.
Гайд по установке есть на официальном [гите yt-dlp](https://github.com/yt-dlp/yt-dlp). После установки можно переходить к развертыванию проекта.

# Развертывание

## 1. Клонируем Данный репозиторий

```
git clone http://gitea.dhaverd.ru:3000/Dhaverd/youtube-download-service.git
```

## 2. Устанавливаем зависимости

```
composer install
npm i
```

## 3. Настраиваем .env

По стандарту настраиваем данные для подключения к бд и ***самое главное - в переменной PATH_TO_DOWNLOAD прописываем полный путь к папке внутри проекта /public/downloads/***

.env:
```
...
PATH_TO_DOWNLOAD=/path/to/project/dir/public/downloads
```

## 4. Мигрируем БД

Тут все по стандарту:
```
php artisan migrate
```
